Use PSR logging instead of wfdebuglog in MassAction
Closed, ResolvedPublic

Description

Remove wfdebuglog calls and use the Logger!!!!

LoggerFactory::getInstance( $logGroup )
$logger->info( $text, $context )

Please see the contents of https://github.com/wikimedia/mediawiki/blob/master/includes/GlobalFunctions.php#L1156 for how to use the logger.
Loggers should either be injected in the constructor of objects needing to log or an instance got from the factory there

Addshore created this task.May 23 2015, 5:00 PM
Addshore updated the task description. (Show Details)
Addshore raised the priority of this task from to Normal.
Addshore claimed this task.
Addshore added a project: MassAction.
Addshore added a subscriber: Addshore.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 23 2015, 5:00 PM
Addshore moved this task from Backlog to Doing on the MassAction board.May 23 2015, 5:03 PM
Addshore removed Addshore as the assignee of this task.Dec 4 2015, 11:51 AM
Addshore moved this task from Doing to Backlog on the MassAction board.Dec 4 2015, 11:53 AM
Addshore updated the task description. (Show Details)Dec 4 2015, 12:29 PM
Addshore added a project: Google-Code-In-2015.
Addshore set Security to None.
Addshore renamed this task from Use PSR logging instead of wfdebuglog to Use PSR logging instead of wfdebuglog in MassAction.

I will mentor this task for GCI 2015

Change 262353 had a related patch set uploaded (by Addshore):
Use PSR logging instead of wfDebugLog()

https://gerrit.wikimedia.org/r/262353

Addshore closed this task as Resolved.Jan 4 2016, 6:58 PM
Addshore claimed this task.

Change 262353 merged by jenkins-bot:
Use PSR logging instead of wfDebugLog()

https://gerrit.wikimedia.org/r/262353